[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#566897: src:kdebindings: ImportError: No module named sipconfig

Package: src:kdebindings
Version: 4:4.3.4-1
Severity: serious
Justification: FTBFS.


your package FTBFS on all archs (at least as of this writing):
| -- Found PythonInterp: /usr/bin/python2.6
| -- Found Python executable: /usr/bin/python2.6
| -- Found Python version: 2.6.4+
| -- Found Python library: /usr/lib/libpython2.6.so
| Traceback (most recent call last):
|   File "/usr/share/kde4/apps/cmake/modules/FindSIP.py", line 8, in <module>
|     import sipconfig
| ImportError: No module named sipconfig
| CMake Error at /usr/share/kde4/apps/cmake/modules/FindSIP.cmake:52 (MESSAGE):
|   Could not find SIP
| Call Stack (most recent call first):
|   CMakeLists.txt:28 (FIND_PACKAGE)
| -- Configuring incomplete, errors occurred!
| make: *** [/build/buildd-kdebindings_4.3.4-1-amd64-QoK2jl/kdebindings-4.3.4/obj-x86_64-linux-gnu/python/pykde4-2.6/Makefile] Error 1
| dpkg-buildpackage: error: debian/rules build gave error exit status 2

Full build logs:

This happened when trying to build:
  |   Binary-NMU-Changelog: Build extension for python2.6
  |   Binary-NMU-Version  : 1

so this is going to be a blocker for the python2.6 transition.


Reply to: